## ChamplainCustomMarker

ChamplainCustomMarker — A marker implementing the ClutterContainer interface. Deprecated.

## Functions

ClutterActor * | champlain_custom_marker_new ()

## Types and Values

struct | ChamplainCustomMarker

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── ChamplainMarker
                    ╰── ChamplainCustomMarker

## Implemented Interfaces

ChamplainCustomMarker implements ClutterContainer, ClutterScriptable, ClutterAnimatable, AtkImplementorIface and ChamplainLocation.

## Description

A marker implementing the ClutterContainer interface. You can insert your custom actors into the container. Don't forget to set the marker's pointer position using clutter_actor_set_translation.

## Functions

### champlain_custom_marker_new ()

    ClutterActor *
    champlain_custom_marker_new (void);

`champlain_custom_marker_new` has been deprecated since version 0.12.4 and should not be used in newly-written code.

ChamplainMarker is a concrete class now and can be used instead.

Creates an instance of ChamplainCustomMarker.

#### Returns

a new ChamplainCustomMarker.

Since 0.10

## Types and Values

### struct ChamplainCustomMarker

    struct ChamplainCustomMarker;

`ChamplainCustomMarker` has been deprecated since version 0.12.4 and should not be used in newly-written code.

ChamplainMarker is a concrete class now and can be used instead.

The ChamplainCustomMarker structure contains only private data and should be accessed using the provided API

Since 0.10